/**
*
* BV.C		Source for BIOS Video versions of GV functions:
*
*		GVATRECT
*		GVHORIZ
*		GVRDRECT
*		GVSCROLL
*		GVWRRECT
*
*		This produces a combined object module which defines
*		all five functions.
*
* Version	3.0  (C)Copyright Blaise Computing Inc. 1986
*
**/

#include <bbiosvid.h>	      /* Note:	BBIOSVID.H defines symbol     */
			      /* DEF_BGENVID, thus preventing the     */
			      /* definitions from being read again.   */
			      /* This prevention also applies to      */
			      /* BGENVID.H which is included by the   */
			      /* following C source modules.	      */

#include "gvatrect.c"
#include "gvhoriz.c"
#include "gvrdrect.c"
#include "gvscroll.c"
#include "gvwrrect.c"
