/**
*
* Name		scclear -- Clear the screen
*
* Synopsis	iret = scclear();
*
*		int iret	  Returned value is always 0.
*
* Description	This function clears the active (i.e., currently
*		displayed) page by making a call to SCSCROLL.
*
* Returns	iret		  Returned value is always 0.
*
* Version	3.0 (C)Copyright Blaise Computing Inc. 1983, 1984, 1986
*
**/

#include <bscreen.h>

int scclear()
{
   int mode,cols,apage,attr;

   scmode(&mode,&cols,&apage);
   if ((mode > 3) && (mode != 7))
      attr = 0; 		       /* Background for graphics mode */
   else
      attr = 7; 		       /* Normal for text mode	       */

   return(scscroll(0,attr,0,0,scrows() - 1,cols,SCR_UP));
}
